<!doctype html>
<html>

<head>
  <meta name="generator" content="JSDoc 3.6.3">
  <meta charset="utf-8">
  <title>Globals</title>
  <link rel="stylesheet" href="https://brick.a.ssl.fastly.net/Karla:400,400i,700,700i" type="text/css">
  <link rel="stylesheet" href="https://brick.a.ssl.fastly.net/Noto+Serif:400,400i,700,700i" type="text/css">
  <link rel="stylesheet" href="https://brick.a.ssl.fastly.net/Inconsolata:500" type="text/css">
  <link href="css/baseline.css" rel="stylesheet">
</head>

<body onload="prettyPrint()">
  <nav id="jsdoc-navbar" role="navigation" class="jsdoc-navbar">
    <div id="jsdoc-navbar-container">
      <div id="jsdoc-navbar-content">
        <a href="index.html" class="jsdoc-navbar-package-name">Home</a>
      </div>
    </div>
  </nav>
  <div id="jsdoc-body-container">
    <div id="jsdoc-content">
      <div id="jsdoc-content-container">
        <div id="jsdoc-main" role="main">
          <h1>Globals</h1>
          <section id="summary">
            <div class="summary-callout">
              <h2 class="summary-callout-heading">Methods</h2>
              <div class="summary-content">
                <div class="summary-column">
                  <dl class="dl-summary-callout">
                    <dt><a href="global.html#onClick">onClick()</a></dt>
                    <dd>
                    </dd>
                    <dt><a href="global.html#onFullSecondChange">onFullSecondChange()</a></dt>
                    <dd>
                    </dd>
                    <dt><a href="global.html#onInit">onInit()</a></dt>
                    <dd>
                    </dd>
                  </dl>
                </div>
                <div class="summary-column">
                  <dl class="dl-summary-callout">
                    <dt><a href="global.html#onLoadedData">onLoadedData()</a></dt>
                    <dd>
                    </dd>
                    <dt><a href="global.html#onPause">onPause()</a></dt>
                    <dd>
                    </dd>
                    <dt><a href="global.html#onQuartileChange">onQuartileChange()</a></dt>
                    <dd>
                    </dd>
                  </dl>
                </div>
                <div class="summary-column">
                  <dl class="dl-summary-callout">
                    <dt><a href="global.html#onVastEvent">onVastEvent(eventName)</a></dt>
                    <dd>
                    </dd>
                  </dl>
                </div>
              </div>
            </div>
          </section>
          <section>
            <h2>Methods</h2>
            <section>
              <h3 id="onClick"><span class="symbol-name">onClick</span><span class="signature"><span class="signature-params">()</span></span></h3>
              <p>jeżeli nie zostanie dostarczona dedykowana obsługa zdarzenia <br>
                kliknięcie w obszar video pauzuje/wznawia odtwarzanie
                w sytuacji w której zadeklarowano autoodtwarzanie video startuje ono bez dźwięki a kliknięcie włącza/wyłącza dźwięk</p>
              <dl class="dl-compact">
              </dl>
              <h3 id="onFullSecondChange"><span class="symbol-name">onFullSecondChange</span><span class="signature"><span class="signature-params">()</span></span></h3>
              <p>zmiana czasu odtwarzania video w postaci pełnych sekund
                event onTimeUpdate jest wywoływany przy zmiennych interwałach, co może stanowić problem w niektórych scenariuszach</p>
              <dl class="dl-compact">
              </dl>
              <h3 id="onInit"><span class="symbol-name">onInit</span><span class="signature"><span class="signature-params">()</span></span></h3>
              <p>callback na zakończenie działania constructora</p>
              <dl class="dl-compact">
              </dl>
              <h3 id="onLoadedData"><span class="symbol-name">onLoadedData</span><span class="signature"><span class="signature-params">()</span></span></h3>
              <p>wywołuje props.onReady(), jeżeli załadowana została wystarczająca ilość danych video</p>
              <dl class="dl-compact">
              </dl>
              <h3 id="onPause"><span class="symbol-name">onPause</span><span class="signature"><span class="signature-params">()</span></span></h3>
              <p>zakończenie odtwarzania video również wywołuje event pause
                by uniknąć błędów dodany jest dodatkowy warunek wywołania kodu funkcji</p>
              <dl class="dl-compact">
              </dl>
              <h3 id="onQuartileChange"><span class="symbol-name">onQuartileChange</span><span class="signature"><span class="signature-params">()</span></span></h3>
              <p>zmiana ćwiartki czasu odtwarzanego video
                VAST określa zdarzenie zaraportowania odtworzenia pełnych 25% czasu odtwarzania video</p>
              <dl class="dl-compact">
              </dl>
              <h3 id="onVastEvent"><span class="symbol-name">onVastEvent</span><span class="signature"><span class="signature-params">(eventName)</span></span></h3>
              <p>zliczenie wszystkich kodów mierzących z wszystkich zestawów dla danego klucza</p>
              <section>
                <h4>Parameter</h4>
                <table class="jsdoc-details-table">
                  <thead>
                    <tr>
                      <th>Name</th>
                      <th>Type</th>
                      <th>Optional</th>
                      <th>Description</th>
                    </tr>
                  </thead>
                  <tbody>
                    <tr>
                      <td>
                        <p>eventName</p>
                      </td>
                      <td>
                        <p>string</p>
                      </td>
                      <td>
                        <p>&nbsp;</p>
                      </td>
                      <td>
                        <p>klucz zdarzenia</p>
                      </td>
                    </tr>
                  </tbody>
                </table>
              </section>
              <dl class="dl-compact">
              </dl>
            </section>
          </section>
        </div>
      </div>
      <nav id="jsdoc-toc-nav" role="navigation"></nav>
    </div>
  </div>
  <footer id="jsdoc-footer" class="jsdoc-footer">
    <div id="jsdoc-footer-container">
      <p>
        Generated by <a href="https://github.com/jsdoc3/jsdoc">JSDoc</a> 3.6.3 on August 22, 2019.
      </p>
    </div>
  </footer>
  <script src="scripts/jquery.min.js"></script>
  <script src="scripts/jquery.cookie.js"></script>
  <script src="scripts/tree.jquery.js"></script>
  <script src="scripts/prettify.js"></script>
  <script src="scripts/jsdoc-toc.js"></script>
  <script src="scripts/linenumber.js"></script>
  <script src="scripts/scrollanchor.js"></script>
</body>

</html>